Newer Version Available

This content describes an older version of this product. View Latest

Create Records Using Specific sObject Quick Actions

Creates a record via the specified quick action based on the field values included in the request body. This resource is available in REST API version 28.0 and later.

When working with actions, also refer to Quick Actions.

Syntax

URI
/services/data/vXX.X/sobjects/sObject/quickActions/actionName
Formats
JSON, XML
HTTP Method
POST
Authentication
Authorization: Bearer token
Parameters
None required

Example

Example Request
1curl -X POST https://MyDomainName.my.salesforce.com/services/data/v60.0/sobjects/Account/quickActions/CreateContact -H 'Authorization: Bearer token -H "Content-Type: application/json" -d @newcontact.json'
Example Request Body
1{
2
3   "contextId" : "001D000000JRSGf",
4   "record" : { "LastName" : "Smith" }
5
6}